Bug 24468 - C4::Reserves::_get_itype is no longer used
Summary: C4::Reserves::_get_itype is no longer used
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 21206
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-21 14:51 UTC by Jonathan Druart
Modified: 2020-04-03 21:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24468: Remove unused C4::Reserves::_get_itype subroutine (1.90 KB, patch)
2020-01-21 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24468: Remove unused C4::Reserves::_get_itype subroutine (2.88 KB, patch)
2020-03-18 15:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24468: Remove unused C4::Reserves::_get_itype subroutine (2.93 KB, patch)
2020-03-20 18:44 UTC, David Nind
Details | Diff | Splinter Review
Bug 24468: Remove unused C4::Reserves::_get_itype subroutine (2.98 KB, patch)
2020-03-22 14:33 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-01-21 14:51:05 UTC
Since bug 21206, C4::Reserves::_get_itype is not longer used and should be removed.

  commit 31c29fd31f557306233e6a2936148a5bb10b89a1
  Bug 21206: Replace C4::Items::GetItem
Comment 1 Jonathan Druart 2020-01-21 14:52:50 UTC
Created attachment 97668 [details] [review]
Bug 24468: Remove unused C4::Reserves::_get_itype subroutine

Since bug 21206, C4::Reserves::_get_itype is not longer used and should
be removed.

  commit 31c29fd31f557306233e6a2936148a5bb10b89a1
  Bug 21206: Replace C4::Items::GetItem

Test plan:
  % git grep _get_itype
must not return any occurrences.

If one needs it, Koha::Item->effective_itemtype must be used instead.
Comment 2 Fridolin SOMERS 2020-03-18 14:44:45 UTC
I tried to SO.

There is one use left in test suite :
  $ git grep _get_itype
  t/db_dependent/Reserves.t:my $itype = C4::Reserves::_get_itype($item);
Comment 3 Jonathan Druart 2020-03-18 15:03:49 UTC
Created attachment 100968 [details] [review]
Bug 24468: Remove unused C4::Reserves::_get_itype subroutine

Since bug 21206, C4::Reserves::_get_itype is not longer used and should
be removed.

  commit 31c29fd31f557306233e6a2936148a5bb10b89a1
  Bug 21206: Replace C4::Items::GetItem

UPDATE: In the meanwhile another occurrence was added to Reserves.t, but
easy to replace

Test plan:
  % git grep _get_itype
must not return any occurrences.

If one needs it, Koha::Item->effective_itemtype must be used instead.
Comment 4 David Nind 2020-03-20 18:44:00 UTC
Created attachment 101315 [details] [review]
Bug 24468: Remove unused C4::Reserves::_get_itype subroutine

Since bug 21206, C4::Reserves::_get_itype is not longer used and should
be removed.

  commit 31c29fd31f557306233e6a2936148a5bb10b89a1
  Bug 21206: Replace C4::Items::GetItem

UPDATE: In the meanwhile another occurrence was added to Reserves.t, but
easy to replace

Test plan:
  % git grep _get_itype
must not return any occurrences.

If one needs it, Koha::Item->effective_itemtype must be used instead.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2020-03-22 14:33:13 UTC
Created attachment 101379 [details] [review]
Bug 24468: Remove unused C4::Reserves::_get_itype subroutine

Since bug 21206, C4::Reserves::_get_itype is not longer used and should
be removed.

  commit 31c29fd31f557306233e6a2936148a5bb10b89a1
  Bug 21206: Replace C4::Items::GetItem

UPDATE: In the meanwhile another occurrence was added to Reserves.t, but
easy to replace

Test plan:
  % git grep _get_itype
must not return any occurrences.

If one needs it, Koha::Item->effective_itemtype must be used instead.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2020-03-24 11:05:19 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-04-03 21:40:02 UTC
enhancement not backported to 19.11.x